NX Open C++ Reference Guide
|
Represents a @link Mechatronics::PointOnCurveJoint Mechatronics::PointOnCurveJoint@endlink builder <br> To create a new instance of this class, use @link Mechatronics::PointOnCurveJointCollection::CreatePointOnCurveJointBuilder Mechatronics::PointOnCurveJointCollection::CreatePointOnCurveJointBuilder @endlink <br>
Default values. More...
Public Member Functions | |
NXOpen::Direction * | AxisVector () |
Returns the axis vector which is tangent to the connected curve at the selected point Created in NX9.0.0. | |
void | EvaluatePath (const std::vector< NXOpen::NXObject * > &curves) |
Evaluate the path. | |
std::vector< NXOpen::NXObject * > | GetConnectedCurves () |
Get the connected curves which the attachment will move along. | |
NXOpen::Expression * | Offset () |
Returns the offset specifies the "Zero Point" on the curve whose distance to the point along the curve is the offset value. | |
NXOpen::Point * | PointOnCurve () |
Returns the selected point on curve Created in NX9.0.0. | |
void | SetAxisVector (NXOpen::Direction *axisVector) |
Sets the axis vector which is tangent to the connected curve at the selected point Created in NX9.0.0. | |
void | SetConnectedCurves (const std::vector< NXOpen::NXObject * > &curves) |
Set the connected curves which the attachment will move along Created in NX9.0.0. | |
void | SetPointOnCurve (NXOpen::Point *pointOnCurve) |
Sets the selected point on curve Created in NX9.0.0. | |
![]() | |
NXOpen::SelectNXObject * | Attachment () |
Returns the attachment of joint. | |
NXOpen::SelectNXObject * | Base () |
Returns the base of joint. | |
NXString | Name () |
Returns the name. | |
void | SetAttachment (NXOpen::NXObject *attachment) |
Sets the attachment. | |
void | SetBase (NXOpen::NXObject *base) |
Sets the base. | |
void | SetName (const NXString &name) |
Sets the name. | |
void | SetName (const char *name) |
Sets the name. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Mechatronics::PointOnCurveJoint Mechatronics::PointOnCurveJoint@endlink builder <br> To create a new instance of this class, use @link Mechatronics::PointOnCurveJointCollection::CreatePointOnCurveJointBuilder Mechatronics::PointOnCurveJointCollection::CreatePointOnCurveJointBuilder @endlink <br>
Default values.
Property | Value |
---|---|
Offset.Value |
0 (millimeters part), 0 (inches part) |
Created in NX9.0.0.
NXOpen::Direction* NXOpen::Mechatronics::PointOnCurveJointBuilder::AxisVector | ( | ) |
Returns the axis vector which is tangent to the connected curve at the selected point
Created in NX9.0.0.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
void NXOpen::Mechatronics::PointOnCurveJointBuilder::EvaluatePath | ( | const std::vector< NXOpen::NXObject * > & | curves | ) |
Evaluate the path.
If there is no path, create it, otherwise evaluate it.
Created in NX9.0.0.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
curves | curve or edge |
std::vector<NXOpen::NXObject *> NXOpen::Mechatronics::PointOnCurveJointBuilder::GetConnectedCurves | ( | ) |
Get the connected curves which the attachment will move along.
NXOpen::Expression* NXOpen::Mechatronics::PointOnCurveJointBuilder::Offset | ( | ) |
Returns the offset specifies the "Zero Point" on the curve whose distance to the point along the curve is the offset value.
Zero Point is on the opposite direction of the axis with respect to the point on the curve.
Created in NX9.0.0.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
NXOpen::Point* NXOpen::Mechatronics::PointOnCurveJointBuilder::PointOnCurve | ( | ) |
Returns the selected point on curve
Created in NX9.0.0.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
void NXOpen::Mechatronics::PointOnCurveJointBuilder::SetAxisVector | ( | NXOpen::Direction * | axisVector | ) |
Sets the axis vector which is tangent to the connected curve at the selected point
Created in NX9.0.0.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
axisVector | axisvector |
void NXOpen::Mechatronics::PointOnCurveJointBuilder::SetConnectedCurves | ( | const std::vector< NXOpen::NXObject * > & | curves | ) |
Set the connected curves which the attachment will move along
Created in NX9.0.0.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
curves | curve or edge |
void NXOpen::Mechatronics::PointOnCurveJointBuilder::SetPointOnCurve | ( | NXOpen::Point * | pointOnCurve | ) |
Sets the selected point on curve
Created in NX9.0.0.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
pointOnCurve | pointoncurve |